1. Authentication
ROCKITPLAY API
  • ROCKIT Edge - Admin API
    • Installation / Upgrade
      • get versions
      • ping
      • submit test task
    • Admin Edge Organizations
      • Create Organization
      • Commit Export
      • Delete Organization
  • ROCKIT Edge - Backend API
    • Backend Edge Organizations
      • Create Organization
      • Delete Organization
    • Authentication
      • user login (org)
        POST
      • user login (user+pw)
        POST
      • Refresh
        POST
      • User logout
        POST
    • Account Management
      • get user details
      • list users
      • Modify user
      • delete users
      • Create User / Create Machine User
      • Create User / Create Machine User Copy
    • Deployments
      • Creating Deployments
      • Get Deployments
      • Get Deployment Details
      • Modify Deployment
      • Deleting Deployments
    • Apps
      • Creating Apps
      • Import native builds
      • App Details
      • List Apps
      • Patch App
      • Delete Apps
    • Triggers
      • Process Traces
      • Retry Task
    • Tasks
      • Listing Tasks
      • Task Details
      • Acknowledge Warning / Expire Task
    • Subscriptions
      • Subscribe
      • List Subscriptions
      • Unsubscribe
    • Roles
      • List Roles
      • Create Role
      • Patch Role
      • Role Details
      • Delete Roles
    • API Keys
      • Delete API Key
    • Commit
  • Changelog
    • Changelog
  • Schemas
    • Webhook Request Body
    • Import UrlSchema
  1. Authentication

user login (user+pw)

POST
https://Example-Server.com/be/v1/login
Last modified:2026-04-22 15:09:02
This endpoint allows a user to perform initial login and obtain a list of organizations linked to username along with organization selection token. The organization selection token is valid for 15min. It is used to login into particular organization from the list of linked organizations.

Request

Body Params application/json

Example
{
    "pw": "{{EDGE_ORG_ADMIN_PW}}",
    "username": "{{EDGE_ORG_ADMIN_USERNAME}}"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://Example-Server.com/be/v1/login' \
--header 'Content-Type: application/json' \
--data-raw '{
    "pw": "GDSfhasLfsug...",
    "username": "adminUser"
}'

Responses

🟢200OK
application/json
Body

Example
{
    "status": "success",
    "login": {
        "token": "eyJhbGci...",
        "expires": 1731749654
    },
    "orgs": [
        {
            "name": "DACSLABS",
            "label": "DACSLABS organization"
        }
    ],
    "username": "myUser"
}
🟠400Invalid Param
🟠401Unauthorized
Modified at 2026-04-22 15:09:02
Previous
user login (org)
Next
Refresh
Built with